Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.plugins
Class Plugin<E>

    java.lang.Object
      org.pentaho.di.core.plugins.Plugin<E>

    public class Plugin<E>

extends Object

Field Summary
`static String` | `CATEGORY`
`static String` | `CLASSNAME`
`static String` | `DESCRIPTION`
`static String` | `ERRORHELPFILE`
`static String` | `ICONFILE`
`static String` | `ID`
`static String` | `LIBRARIES`
`static String` | `LIBRARY`
`static String` | `LOCALE`
`static String` | `LOCALIZED_CATEGORY`
`static String` | `LOCALIZED_DESCRIPTION`
`static String` | `LOCALIZED_TOOLTIP`
`static String` | `NAME`
`static String` | `PLUGIN`
`static String` | `PLUGIN_LOADER`
`static String` | `PLUGIN_XML_FILE`
`static String` | `TOOLTIP`
`static int` | `TYPE_ALL`
`static int` | `TYPE_NATIVE`
`static int` | `TYPE_PLUGIN`

Constructor Summary
`Plugin(int type, E id, String description, String tooltip, String directory, String[] jarfiles, String icon_filename, String classname)`

Method Summary
`ClassLoader` | `getClassLoader()`
`String` | `getClassname()`
`String` | `getDescription()`
`String` | `getDirectory()`
`String` | `getIconFilename()`
`E` | `getID()`
`String[]` | `getJarfiles()`
`String` | `getTooltip()`
`int` | `getType()`
`boolean` | `isNative()`
`boolean` | `isPlugin()`
`void` | `setClassLoader(ClassLoader classLoader)`
`void` | `setIconFilename(String filename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### LIBRARY

    public static final String LIBRARY

See Also:
  Constant Field Values

### LIBRARIES

    public static final String LIBRARIES

See Also:
  Constant Field Values

### LOCALIZED_TOOLTIP

    public static final String LOCALIZED_TOOLTIP

See Also:
  Constant Field Values

### LOCALIZED_DESCRIPTION

    public static final String LOCALIZED_DESCRIPTION

See Also:
  Constant Field Values

### LOCALE

    public static final String LOCALE

See Also:
  Constant Field Values

### ICONFILE

    public static final String ICONFILE

See Also:
  Constant Field Values

### ID

    public static final String ID

See Also:
  Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

### CLASSNAME

    public static final String CLASSNAME

See Also:
  Constant Field Values

### ERRORHELPFILE

    public static final String ERRORHELPFILE

See Also:
  Constant Field Values

### LOCALIZED_CATEGORY

    public static final String LOCALIZED_CATEGORY

See Also:
  Constant Field Values

### TOOLTIP

    public static final String TOOLTIP

See Also:
  Constant Field Values

### CATEGORY

    public static final String CATEGORY

See Also:
  Constant Field Values

### PLUGIN

    public static final String PLUGIN

See Also:
  Constant Field Values

### PLUGIN_XML_FILE

    public static final String PLUGIN_XML_FILE

See Also:
  Constant Field Values

### PLUGIN_LOADER

    public static final String PLUGIN_LOADER

See Also:
  Constant Field Values

### TYPE_ALL

    public static final int TYPE_ALL

See Also:
  Constant Field Values

### TYPE_NATIVE

    public static final int TYPE_NATIVE

See Also:
  Constant Field Values

### TYPE_PLUGIN

    public static final int TYPE_PLUGIN

See Also:
  Constant Field Values

Constructor Detail

### Plugin

    public Plugin(int type,
                  E id,
                  String description,
                  String tooltip,
                  String directory,
                  String[] jarfiles,
                  String icon_filename,
                  String classname)

Method Detail

### getType

    public int getType()

### isNative

    public boolean isNative()

### isPlugin

    public boolean isPlugin()

### getID

    public E getID()

  Returns:
    The ID (code String) of the job or job-plugin.

### getDescription

    public String getDescription()

### getTooltip

    public String getTooltip()

### getDirectory

    public String getDirectory()

### getJarfiles

    public String[] getJarfiles()

### getIconFilename

    public String getIconFilename()

### setIconFilename

    public void setIconFilename(String filename)

### getClassname

    public String getClassname()

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD